header {
    font-family: "Roboto", Arial, sans-serif;
}

.underlined {
    text-decoration: underline;
}

.nav-categories {
    position: absolute;
    right: 17vw;
    height: 75px;
    width: 44vw;
    margin-top: 10px;

    gap: 15px;

    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    align-items: center;
}

.nav-category {
    display: flex;
    flex-direction: column;

    justify-content: center;
    align-items: center;
}

.nav-category > hr {
    margin-top: 1px;
    border: 1px solid black;
    width: 100%;
}

.nav-category a {
    text-decoration: none;
    color: black;
}

.nav-category a:visited {
    text-decoration: none;
    color: black;
}

nav {
    height: max(15vh, 150px);

    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;

    background: linear-gradient(to bottom, white 0%, white 62.5%, transparent 100%);
}

body.a11y-active nav {
    background: none !important;
}

.blog-logo {
    position: absolute;
    left: 17vw;

    font-size: 20px;
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
}

nav img {
    max-width: 75px;
    height: 75px;
    margin: 10px 10px 10px 0;
    border-radius: 18px;
}

.blog-logo a {
    text-decoration: none;
    color: var(--blogee-blog-primary);
}

header {
    width: 100vw;
    position: fixed;
    left: 0;
    top: 0;

    z-index: 9999;
}

header > div {
    background-color: white;
}

.nav-hr {
    background-color: var(--blogee-blog-primary);
    height: 20px;
    width: 100%;
    border: none;

    margin: 0;
    padding: 0;
}

.blog-logo > span {
    text-decoration: underline;
    color: black;
}

.phone-menu {
    display: none;
}

.phone-menu {
    display: none;
}

.close-button {
    display: none;
}

.nav-login {
    margin-left: 50px;

    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    color: black !important;
}

.nav-login > img {
    max-height: 25%;
    width: auto;

    aspect-ratio: 1 / 1;
}

@media (max-width: 780px) {
    #phone-text {
        display: none;
    }
}

@media (max-width: 1200px) {
    .phone-menu {
        display: block;

        width: 40px;
        height: 40px;

        position: absolute;
        right: 17vw;
    }

    /*.phone-menu {*/
    /*    position: absolute;*/
    /*    right: 17vw;*/
    /*    height: 75px;*/
    /*    width: 44vw;*/
    /*    margin-top: 10px;*/

    /*    gap: 15px;*/

    /*    display: flex;*/
    /*    flex-wrap: wrap;*/
    /*    justify-content: flex-end;*/
    /*    align-items: center;*/
    /*}*/

    nav {
        flex-direction: row;
    }

    .open-btn {
        width: 100%;
        height: 100%;
        cursor: pointer;
        margin-top: 27.5px; /* tutaj jest dużo matmy.
        logo ma 75px, od jednej strony 37.5px + 10px paddingu od góry = 47.5px
        wysokość tego elementu to 40px na sztywno, od jednej strony 20px
        aby "środek ciężkości" znalazł się w tym samym miejscu co loga, tyle samo musi "wystawać"
        od góry. czyli odejmujemy 47.5 - 20 = 27.5px
        */
    }

    .edit-blog {
        display: none;
    }

    .nav-categories {
        position: fixed;
        top: 0;
        right: -100%;
        width: 80%;
        max-width: 320px;
        height: calc(100% - 2*20px);
        justify-content: flex-start;

        margin: 0;

        background: #fff;
        box-shadow: -4px 0 12px rgba(0,0,0,0.3);
        padding: 20px;
        transition: 0.35s ease;

        display: flex;
        flex-direction: column;
        gap: 16px;
    }

    .nav-categories.active {
        right: 0;
    }

    .close-button {
        display: block;
        font-size: 28px;
        cursor: pointer;
        align-self: flex-end;
    }

    h2 {
        margin-top: 0;
    }
}